export const AminoConverter = {
  "/mars.incentives.v1beta1.MsgCreateSchedule": {
    aminoType: "/mars.incentives.v1beta1.MsgCreateSchedule",
    toAmino: ({
      authority,
      startTime,
      endTime,
      amount
    }) => {
      return {
        authority,
        start_time: startTime,
        end_time: endTime,
        amount: amount.map(el0 => ({
          denom: el0.denom,
          amount: el0.amount
        }))
      };
    },
    fromAmino: ({
      authority,
      start_time,
      end_time,
      amount
    }) => {
      return {
        authority,
        startTime: start_time,
        endTime: end_time,
        amount: amount.map(el0 => ({
          denom: el0.denom,
          amount: el0.amount
        }))
      };
    }
  },
  "/mars.incentives.v1beta1.MsgTerminateSchedules": {
    aminoType: "/mars.incentives.v1beta1.MsgTerminateSchedules",
    toAmino: ({
      authority,
      ids
    }) => {
      return {
        authority,
        ids: ids.map(el0 => el0.toString())
      };
    },
    fromAmino: ({
      authority,
      ids
    }) => {
      return {
        authority,
        ids: ids.map(el0 => Long.fromString(el0))
      };
    }
  }
};